%define upstream_name    Dist-Zilla-Role-Tempdir
%define upstream_version 1.001001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Shell Out and collect the result in a DZ plug-in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA) >= 5.470.0
BuildRequires: perl(Dist::Zilla) >= 2.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::chdir) >= 0.100.200
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Iterator::Rule)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.1-5.mga6
+ Revision: 1026727
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-4.mga6
+ Revision: 948339
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 747330
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.1.1-1.mga5
+ Revision: 664146
- update to 1.001001

* Wed Jul 30 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 658140
- update to 1.001000

* Tue Jul 29 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 657885
- update to 1.000001

* Tue May 20 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 624258
- update to 1.000000

* Sat Oct 19 2013 umeabot <umeabot> 0.10.537.220-2.mga4
+ Revision: 526976
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.10.537.220-1.mga4
+ Revision: 439225
- update to 0.01053722

* Sun Jan 13 2013 umeabot <umeabot> 0.10.537.210-2.mga3
+ Revision: 366731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.10.537.210-1.mga2
+ Revision: 212831
- update to 0.01053721

* Fri Apr 08 2011 jquelin <jquelin> 0.10.537.200-1.mga1
+ Revision: 82234
- update to 0.01053720

* Wed Jan 26 2011 jquelin <jquelin> 0.10.276.220-1.mga1
+ Revision: 40652
- mageia rebuild
- imported package perl-Dist-Zilla-Role-Tempdir

